# svn_info_t Struct Reference
[Show repository information about a working copy.]

A structure which describes various system-generated metadata about a working-copy path or URL. More...

`#include <svn_client.h>`

## Data Fields
const char * | URL
| Where the item lives in the repository.
svn_revnum_t | rev
| The revision of the object.
svn_node_kind_t | kind
| The node's kind.
const char * | repos_root_URL
| The root URL of the repository.
const char * | repos_UUID
| The repository's UUID.
svn_revnum_t | last_changed_rev
| The last revision in which this object changed.
apr_time_t | last_changed_date
| The date of the last_changed_rev.
const char * | last_changed_author
| The author of the last_changed_rev.
svn_lock_t * | lock
| An exclusive lock, if present.
svn_boolean_t | has_wc_info
| Whether or not to ignore the next 10 wc-specific fields.
apr_size_t | size
| Similar to size64, but size will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).
svn_filesize_t | size64
| The size of the file in the repository (untranslated, e.g.
Working-copy path fields
The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown. Not applicable for directories. Since: New in 1.6.
svn_wc_schedule_t | schedule
const char * | copyfrom_url
svn_revnum_t | copyfrom_rev
apr_time_t | text_time
apr_time_t | prop_time
const char * | checksum
const char * | conflict_old
const char * | conflict_new
const char * | conflict_wrk
const char * | prejfile
const char * | changelist
svn_depth_t | depth
apr_size_t | working_size
| Similar to working_size64, but will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).
svn_filesize_t | working_size64
svn_wc_conflict_description_t * | tree_conflict
| Info on any tree conflict of which this node is a victim.

## Detailed Description

A structure which describes various system-generated metadata about a working-copy path or URL.

Note:
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since:
  New in 1.2.

Deprecated:
  Provided for backward compatibility with the 1.6 API. The new API is svn_client_info2_t.

Definition at line 5214 of file svn_client.h.

## Field Documentation

const char* svn_info_t::changelist

Since:
  New in 1.5.

Definition at line 5265 of file svn_client.h.

svn_depth_t svn_info_t::depth

Since:
  New in 1.5.

Definition at line 5267 of file svn_client.h.

svn_boolean_t svn_info_t::has_wc_info

Whether or not to ignore the next 10 wc-specific fields.

Definition at line 5246 of file svn_client.h.

svn_node_kind_t svn_info_t::kind

The node's kind.

Definition at line 5225 of file svn_client.h.

const char* svn_info_t::last_changed_author

The author of the last_changed_rev.

Definition at line 5240 of file svn_client.h.

apr_time_t svn_info_t::last_changed_date

The date of the last_changed_rev.

Definition at line 5237 of file svn_client.h.

svn_revnum_t svn_info_t::last_changed_rev

The last revision in which this object changed.

Definition at line 5234 of file svn_client.h.

svn_lock_t* svn_info_t::lock

An exclusive lock, if present.

Could be either local or remote.

Definition at line 5243 of file svn_client.h.

const char* svn_info_t::repos_root_URL

The root URL of the repository.

Definition at line 5228 of file svn_client.h.

const char* svn_info_t::repos_UUID

The repository's UUID.

Definition at line 5231 of file svn_client.h.

svn_revnum_t svn_info_t::rev

The revision of the object.

If path_or_url is a working-copy path, then this is its current working revnum. If path_or_url is a URL, then this is the repos revision that path_or_url lives in.

Definition at line 5222 of file svn_client.h.

apr_size_t svn_info_t::size

Similar to size64, but size will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).

Deprecated:
  Provided for backward compatibility with the 1.5 API.

Definition at line 5285 of file svn_client.h.

svn_filesize_t svn_info_t::size64

The size of the file in the repository (untranslated, e.g.

without adjustment of line endings and keyword expansion). Only applicable for file -- not directory -- URLs. For working copy paths, size64 will be SVN_INVALID_FILESIZE.

Since:
  New in 1.6.

Definition at line 5294 of file svn_client.h.

svn_wc_conflict_description_t* svn_info_t::tree_conflict

Info on any tree conflict of which this node is a victim.

Otherwise NULL.

Since:
  New in 1.6.

Definition at line 5310 of file svn_client.h.

const char* svn_info_t::URL

Where the item lives in the repository.

Definition at line 5217 of file svn_client.h.

apr_size_t svn_info_t::working_size

Similar to working_size64, but will be SVN_INFO_SIZE_UNKNOWN when its value would overflow apr_size_t (so when size >= 4 GB - 1 byte).

Deprecated:
  Provided for backward compatibility with the 1.5 API.

Definition at line 5275 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines